%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%bcond_without	tests

Name:		a52dec
Version:	0.8.0
Release:	%mkrel 3
Summary:	A free ATSC A/52 stream decoder library
License:	GPLv2+
Group:		Video/Editors and Converters
URL:		https://git.adelielinux.org/community/a52dec
Source0:	https://git.adelielinux.org/community/a52dec/-/archive/v%{version}/%{name}-v%{version}.tar.gz

%description
liba52 is a free library for decoding ATSC A/52 streams.

The A/52 standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

#---------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
liba52 is a free library for decoding ATSC A/52 streams.

The A/52 standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

This package contains libraries needed to run programs linked with %{name}.

#---------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
liba52 is a free library for decoding ATSC A/52 streams.

The A/52 standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

This package contains development files needed to compile programs which
use %{name}.

#---------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
autoreconf -vfi
%configure \
	--enable-shared \
	--disable-static
%make_build

%install
%make_install

%check
%{?with_tests:
%make_build check || : }

%files
%license COPYING
%doc AUTHORS NEWS README TODO HISTORY
%{_bindir}/%{name}
%{_bindir}/extract_a52
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/extract_a52.1.*

%files -n %{libname}
%license COPYING
%{_libdir}/liba52.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/liba52.so
%{_libdir}/pkgconfig/liba52.pc


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.8.0-3.mga10
+ Revision: 2229923
- Mageia 10 Mass Rebuild

* Mon Nov 11 2024 daviddavid <daviddavid> 0.8.0-2.mga10
+ Revision: 2114269
- fix provides in library sub-pkg
- new version: 0.8.0 (thanks to Aurelian R, mga#33746)

* Mon Mar 14 2022 umeabot <umeabot> 0.7.4-27.mga9
+ Revision: 1791692
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.7.4-26.mga8
+ Revision: 1511559
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.7.4-25.mga7
+ Revision: 1297263
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.7.4-24.mga6
+ Revision: 934406
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.4-23.mga5
+ Revision: 749792
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.4-22.mga5
+ Revision: 686433
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.7.4-21.mga5
+ Revision: 677668
- Mageia 5 Mass Rebuild

* Sun Mar 30 2014 daviddavid <daviddavid> 0.7.4-20.mga5
+ Revision: 610539
- minor cosmetic change
- use autoreconf instead of autoconf and move this one on build section
- use %%apply-patches macro
- add a link for Source0
+ david-david <david-david>
- update tarball using the correct link (.bz2 does not exist)

* Fri Oct 18 2013 umeabot <umeabot> 0.7.4-19.mga4
+ Revision: 521220
- Mageia 4 Mass Rebuild

* Sat Jan 19 2013 fwang <fwang> 0.7.4-18.mga3
+ Revision: 389715
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 29 2011 supp <supp> 0.7.4-17.mga2
+ Revision: 188755
- rebuild for mga2

* Tue Jan 25 2011 ahmad <ahmad> 0.7.4-16.mga1
+ Revision: 39609
- remove old/unneeded scriptlets
- don't ship .a, .la
- imported package a52dec


* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.4-15mdv2011.0
+ Revision: 603165
- rebuild

* Wed Feb 17 2010 Funda Wang <fwang@mandriva.org> 0.7.4-14mdv2010.1
+ Revision: 506946
- rebuild for missing SRPM

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.7.4-13mdv2010.0
+ Revision: 413017
- rebuild

* Tue Jan 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.4-12mdv2009.1
+ Revision: 331898
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.7.4-11mdv2009.0
+ Revision: 220324
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jan 03 2008 Thierry Vignaud <tv@mandriva.org> 0.7.4-10mdv2008.1
+ Revision: 141937
- compile with -fPIC
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Oct 24 2007 Götz Waschk <waschk@mandriva.org> 0.7.4-9mdv2008.1
+ Revision: 101720
- new devel name
- update license tag
- unpack patch

* Wed May 23 2007 Christiaan Welvaart <spturtle@mandriva.org> 0.7.4-9mdv2008.0
+ Revision: 30217
- Import a52dec



* Thu Aug 24 2006 Götz Waschk <waschk@mandriva.org> 0.7.4-9mdv2007.0
- small fixes

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.7.4-8mdk
- Rebuild

* Fri Jun 10 2005 Götz Waschk <waschk@mandriva.org> 0.7.4-7mdk
- Rebuild

* Tue Jun  8 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.4-6mdk
- fix descriptions (Thierry Vignaud)

* Fri Oct 24 2003 Stefan van der Eijk <stefan@eijk.nu> 0.7.4-5mdk
- BuildRequires

* Thu Oct  2 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7.4-4mdk
- workaround build on amd64

* Thu Jul 10 2003 Götz Waschk <waschk@linux-mandrake.com> 0.7.4-3mdk
- autoconf2.5 macro

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.4-2mdk
- rebuild

* Wed Sep 25 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7.4-1mdk
- 0.7.4

* Mon May 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7.3-5mdk
- Add missing requires to lib

* Wed Apr 17 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.3-4mdk
- libname is liba52dec0
- obsoletes tags to make upgrade easier

* Tue Apr 16 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.3-3mdk
- reverted name to a52dec and libname to liba52dec

* Mon Apr 15 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.3-2mdk
- libname is liba52_0

* Mon Apr 15 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 0.7.3-1mdk
- first mdk release

* Fri Mar 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7.3-1plf 
	Create package from Michael Reinsch <mr@uue.org>
		- first plf package
